Debian Bug report logs - #456346
openoffice.org-l10n-nb: No Norwegian Bokmaal spellchecking

version graph

Package: myspell-nb; Maintainer for myspell-nb is Tollef Fog Heen <tfheen@debian.org>; Source for myspell-nb is src:norwegian.

Reported by: Jon K Hellan <hellan@acm.org>

Date: Fri, 14 Dec 2007 20:48:43 UTC

Severity: grave

Tags: patch

Fixed in version 2.0.10-1

Done: Tollef Fog Heen <tfheen@err.no>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#456346; Package openoffice.org-l10n-nb. Full text and rfc822 format available.

Acknowledgement sent to Jon K Hellan <hellan@acm.org>:
New Bug report received and forwarded. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jon K Hellan <hellan@acm.org>
To: bugs@debian.org
Subject: openoffice.org-l10n-nb: No Norwegian Bokmaal spellchecking
Date: Fri, 14 Dec 2007 21:47:01 +0100
Package: openoffice.org-l10n-nb
Version: 1:2.3.1-2
Severity: normal

*** Please type your report below this line ***
Norwegian Bokmaal spellchecking isn't available.
I know openoffice.org-l10n-nb probably isn't the right package, but it
seemed a good place to start.

openoffice.org-l10n-nb and myspell-nb are installed.
In Tools/Options/Language Settings/Writing Aids, only language modules
for English are available. It doesn't matter whether UI language is
English or Norwegian.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages openoffice.org-l10n-nb depends on:
ii  locales                       2.7-4      GNU C Library: National 
Language (

Versions of packages openoffice.org-l10n-nb recommends:
ii  openoffice.org-core           1:2.3.1-2  OpenOffice.org office suite 
archit

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#456346; Package openoffice.org-l10n-nb. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 456346@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Jon K Hellan <hellan@acm.org>, 456346@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#456346: openoffice.org-l10n-nb: No Norwegian Bokmaal spellchecking
Date: Sat, 15 Dec 2007 17:07:54 +0100
[Message part 1 (text/plain, inline)]
reassign 456346 myspell-nb
severity 456346 grave # breaks fthe complete functionality
thanks

Jon K Hellan wrote:
> Norwegian Bokmaal spellchecking isn't available.
> I know openoffice.org-l10n-nb probably isn't the right package, but it
> seemed a good place to start.

No it's not. That package just contains UI things and templates. Nothing
else. Especially the dictionary is in myspell-nb. And that's what
actually is broken:

$ dpkg -L myspell-nb
/.
/usr
/usr/share
/usr/share/myspell
/usr/share/myspell/dicts
/usr/share/myspell/dicts/nb.dic
/usr/share/myspell/dicts/nb.aff
/usr/share/myspell/dicts/hyph_nb_NO.dic
/usr/share/myspell/infos
/usr/share/myspell/infos/ooo
/usr/share/myspell/infos/ooo/myspell-nb
/usr/share/doc
/usr/share/doc/myspell-nb
/usr/share/doc/myspell-nb/copyright
/usr/share/doc/myspell-nb/changelog.Debian.gz
/usr/share/myspell/dicts/nb-NO.aff
/usr/share/myspell/dicts/nb-NO.dic
rene@mini:~$ cat /usr/share/myspell/infos/ooo/myspell-nb
DICT nb NO nb_NO

Either nb.{dic,aff} should be renamed to nb_NO.{dic,aff} or
the info file fixed. Reassigning.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `openoffice.org-l10n-nb' to `myspell-nb'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sat, 15 Dec 2007 16:12:10 GMT) Full text and rfc822 format available.

Severity set to `grave' from `normal' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Sat, 15 Dec 2007 16:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#456346; Package myspell-nb. Full text and rfc822 format available.

Acknowledgement sent to Jon K Hellan <hellan@acm.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #19 received at 456346@bugs.debian.org (full text, mbox):

From: Jon K Hellan <hellan@acm.org>
To: Rene Engelhard <rene@debian.org>
Cc: 456346@bugs.debian.org
Subject: Re: Bug#456346: openoffice.org-l10n-nb: No Norwegian Bokmaal spellchecking
Date: Sat, 15 Dec 2007 18:53:56 +0100
Thanks. Now I can fix locally, until it gets fixed in Debian.

Jon Kåre

Rene Engelhard wrote:
> reassign 456346 myspell-nb
> severity 456346 grave # breaks fthe complete functionality
> thanks
> 
> Jon K Hellan wrote:
>> Norwegian Bokmaal spellchecking isn't available.
>> I know openoffice.org-l10n-nb probably isn't the right package, but it
>> seemed a good place to start.
> 
> No it's not. That package just contains UI things and templates. Nothing
> else. Especially the dictionary is in myspell-nb. And that's what
> actually is broken:
> 
> $ dpkg -L myspell-nb
> /.
> /usr
> /usr/share
> /usr/share/myspell
> /usr/share/myspell/dicts
> /usr/share/myspell/dicts/nb.dic
> /usr/share/myspell/dicts/nb.aff
> /usr/share/myspell/dicts/hyph_nb_NO.dic
> /usr/share/myspell/infos
> /usr/share/myspell/infos/ooo
> /usr/share/myspell/infos/ooo/myspell-nb
> /usr/share/doc
> /usr/share/doc/myspell-nb
> /usr/share/doc/myspell-nb/copyright
> /usr/share/doc/myspell-nb/changelog.Debian.gz
> /usr/share/myspell/dicts/nb-NO.aff
> /usr/share/myspell/dicts/nb-NO.dic
> rene@mini:~$ cat /usr/share/myspell/infos/ooo/myspell-nb
> DICT nb NO nb_NO
> 
> Either nb.{dic,aff} should be renamed to nb_NO.{dic,aff} or
> the info file fixed. Reassigning.
> 
> Grüße/Regards,
> 
> René






Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#456346; Package myspell-nb. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #24 received at 456346@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 456346@bugs.debian.org, Jon K Hellan <hellan@acm.org>
Subject: Re: openoffice.org-l10n-nb: No Norwegian Bokmaal spellchecking
Date: Mon, 31 Mar 2008 10:04:40 +0200
tags 456346 + patch
thanks

I believe this patch solve the issue.  Can you test and see if a
package built with this patch work out of the box?

diff -u norwegian-2.0.9/debian/myspell-nn.info-myspell norwegian-2.0.9/debian/myspell-nn.info-myspell
--- norwegian-2.0.9/debian/myspell-nn.info-myspell
+++ norwegian-2.0.9/debian/myspell-nn.info-myspell
@@ -1 +1 @@
-DICT nn NO nn_NO
+DICT nn NO nn
diff -u norwegian-2.0.9/debian/myspell-nb.info-myspell norwegian-2.0.9/debian/myspell-nb.info-myspell
--- norwegian-2.0.9/debian/myspell-nb.info-myspell
+++ norwegian-2.0.9/debian/myspell-nb.info-myspell
@@ -1 +1 @@
-DICT nb NO nb_NO
+DICT nb NO nb

I suspect both files should be extended to include lines like this, to
make OOo find the hyph_nb_NO.dic file too:

  HYPH nb NO nb_NO
  HYPH nn NO nn_NO

Happy hacking,
-- 
Petter Reinholdtsen




Tags added: patch Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 31 Mar 2008 08:09:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#456346; Package myspell-nb. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #31 received at 456346@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 456346@bugs.debian.org
Subject: Re: openoffice.org-l10n-nb: No Norwegian Bokmaal spellchecking
Date: Mon, 31 Mar 2008 18:20:49 +0200
[Message part 1 (text/plain, inline)]
On Mon, Mar 31, 2008 at 10:04:40AM +0200, Petter Reinholdtsen wrote:
> tags 456346 + patch
> thanks
> 
> I believe this patch solve the issue.  Can you test and see if a
> package built with this patch work out of the box?

I have been in parallel playing with norwegian dict, and attach patch with
the last result.

Since seems that a new version is available, some of the changes here may
need a rework. Also, the use of ispell-autobuildhash is currently noisy for
norwegian, since up-to-date ispell allows some non alphabetic flags, while
current Debian ispell is too outdated and does not allow them.  For that
reason I would not use it now. Also, patch contains fixes for the .aff file
that might have been applied by upstream. Some other things, like using
octal codes for casechars and not casechars are IMHO desirable, is not
trivial to keep ut8 and latin1 strings mixed in a file. Also some trailing
whitespace is removed (sorry, I have my edior configured this way, and
forgot to disable this before)

So, while is not a patch intended to be blindly applied, may help you in the
future. Attaching it in case is useful. This is the changelog I wrote for it

---------
 * debian/myspell-{nb,nn}.info-myspell:
    - Use plain {nb,nn} as base name. That is what mozilla expects, and
      this will make ooo to find them too. unspell will only find them
      if called this way. (Closes: #456346).
    - Add hyphenation info, it is actually installed together with dicts
  * debian/inorwegian.info-ispell:
    - Since there is utf-8 in language name, better put {not,}casechars,
      additionalchars using single byte octal codes. The dict is declared as
      iso-8859-1 amd emacs will then expect unibyte here.
  * debian/{i,w}norwegian.templates.in:
    - Renamed to {i,w}norwegian.po-master.templates, already using
    podebconf.
  * Makefile:
    - Allow dots and double quotes in the middle of a word for aspell.
  * debian/{rules,control,aspell-no.links}, Makefile:
    - Make aspell-no arch all, using aspell-autobuildhash and affix
      compression. Tons of changes needed.
  * debian/{rules,control,inorwegian.links}, Makefile:
    - Make inorwegian arch all, using ispell-autobuildhash.
  * debian/control:
    - Bumped Standards-Version to 3.7.3. No changes needed
  * debian/aspell-no.info-aspell:
    - New file, created after the ispell one, with locale entry added
    - Modified debian/rules to call installdeb-aspell
  * nn.aff.in:
    - Fixed buggy entries that were breaking aspell hash creation.
  * debian/aspell-no.postinst:
    - Fixed 'if' condition
  * debian/aspell-no.prerm:
    - Disabled -x
---------

Enjoy,

-- 
Agustin
[norwegian_2.0.9_diff (text/plain, attachment)]

Reply sent to Tollef Fog Heen <tfheen@err.no>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jon K Hellan <hellan@acm.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 456346-done@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 456346-done@bugs.debian.org
Subject: Bug fixed
Date: Fri, 11 Apr 2008 08:23:48 +0200
Version: 2.0.10-1

Oops, forgot to add the bug number in the changelog.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 11:10:55 +0200
Source: norwegian
Binary: inorwegian wnorwegian aspell-no myspell-nb myspell-nn
Architecture: source amd64 all
Version: 2.0.10-1
Distribution: unstable
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description:
 aspell-no  - Norwegian dictionary for aspell
 inorwegian - Norwegian dictionary for ispell
 myspell-nb - Norwegian Bokmål dictionary for myspell
 myspell-nn - Norwegian Nynorsk dictionary for myspell
 wnorwegian - Norwegian word list
Closes: 473531
Changes:
 norwegian (2.0.10-1) unstable; urgency=low
 .
   * New upstream release.  Closes: #473531
   * Revert "* [Lintian] Fix debian/changelog (emacs variables removed)"
     from NMU.
   * Update myspell-n[bn].info.myspell to make OOo able to use the
     Norwegian spellchecker.  Also add hyphenation patterns.  Thanks to
     Petter Reinhodtsen for the fix.
   * Drop ssed build dependency since GNU sed is now fixed to not be
     disastrously slow.
Files:
 3cb8a7162b8cea6c6e4e6548101b8132 760 text optional norwegian_2.0.10-1.dsc
 83b56f896f4319c19ef4d06cd79cefbd 5479852 text optional norwegian_2.0.10.orig.tar.gz
 a8bb0cb083fec2f7384b3f5005a682ca 15040 text optional norwegian_2.0.10-1.diff.gz
 8941ecef6b4fe5ff0bc87eed1d6b4c9d 5725846 text optional inorwegian_2.0.10-1_amd64.deb
 9e5b143ebe40788857c132744ccc4559 18083206 text optional aspell-no_2.0.10-1_amd64.deb
 92c226a21f31a87dab8f8497d13bfd45 4201784 text optional wnorwegian_2.0.10-1_all.deb
 ab436db7a565923619d03c00d1338796 1431808 text optional myspell-nb_2.0.10-1_all.deb
 1c4b12cfffafc5bfd7a3dfc860c6d745 941234 text optional myspell-nn_2.0.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+LiLQSseMYF6mWoRArexAKCyikgTZBUgdaShkOMwOBN3V2N3kgCgpb+h
2nHpqqu6iBakNwpxX9NJij0=
=Cd7l
-----END PGP SIGNATURE-----

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:55:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:54:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.